<div class="teams-container">
  <h2>Teams</h2>

  <div class="filters-container teams-filter form-group" *ngIf="!teamSelected">
    <input type="text" class="form-control" placeholder="Search teams..." [(ngModel)]="teamFilter" />
    <small class="form-text text-muted">Filters by any field, you should try this!</small>
  </div>

  <div class="teams-grid box-grid" [ngClass]="{ 'box-grid--collapsed': teamSelected }">
    <ng-container *ngIf="!teamsLoading && teams?.length">
      <div
        class="team-box box-grid__item"
        *ngFor="let team of teams | filterBy: teamFilter:['Name', 'Description']"
        [hidden]="teamSelected && teamSelected.Id !== team.Id"
        (click)="onTeamClicked(team)"
      >
        <div class="box-item__title">{{ team.Name }}</div>
        <div class="box-item__subtitle">{{ team.Description }}</div>
        <div class="box-item__note">{{ team.CreatedOn | date: 'dd/MM/yyyy HH:mm' }}</div>
      </div>
    </ng-container>
    <div clas="grid-empty m-auto" *ngIf="!teamsLoading && !teams?.length">There are not teams available right now</div>
    <div class="spinner-grow m-auto" *ngIf="teamsLoading"></div>
  </div>

  <app-team-members
    *ngIf="teamSelected"
    [team]="teamSelected"
    (minionsLoaded)="teamSelected.Minions = $event.minions"
  ></app-team-members>
</div>
